[med-svn] [Git][med-team/pyscanfcs][master] 4 commits: routine-update: Standards-Version: 4.4.1

Andreas Tille gitlab at salsa.debian.org
Mon Feb 24 21:14:42 GMT 2020



Andreas Tille pushed to branch master at Debian Med / pyscanfcs


Commits:
77fafe33 by Andreas Tille at 2019-12-18T10:48:32+01:00
routine-update: Standards-Version: 4.4.1

- - - - -
f0bd1199 by Andreas Tille at 2019-12-18T10:56:11+01:00
routine-update: Do not parse d/changelog

- - - - -
1f338cd5 by Andreas Tille at 2019-12-18T10:56:16+01:00
Set upstream metadata fields: Bug-Database.
- - - - -
4791d98d by Andreas Tille at 2019-12-18T11:05:58+01:00
Unify test script with other tests in Debian Med

- - - - -


8 changed files:

- + debian/README.test
- debian/changelog
- debian/control
- debian/pyscanfcs.docs
- debian/rules
- debian/tests/control
- debian/tests/upstream-tests → debian/tests/run-unit-test
- debian/upstream/metadata


Changes:

=====================================
debian/README.test
=====================================
@@ -0,0 +1,8 @@
+Notes on how this package can be tested.
+────────────────────────────────────────
+
+This package can be tested by running the provided test:
+
+    sh run-unit-test
+
+in order to confirm its integrity.


=====================================
debian/changelog
=====================================
@@ -1,3 +1,13 @@
+pyscanfcs (0.3.5+ds-2) UNRELEASED; urgency=medium
+
+  * Team upload.
+  * Standards-Version: 4.4.1
+  * Do not parse d/changelog
+  * Set upstream metadata fields: Bug-Database.
+  * Unify test script with other tests in Debian Med
+
+ -- Andreas Tille <tille at debian.org>  Wed, 18 Dec 2019 10:48:28 +0100
+
 pyscanfcs (0.3.5+ds-1) unstable; urgency=medium
 
   * New upstream version 0.3.5+ds


=====================================
debian/control
=====================================
@@ -24,7 +24,7 @@ Build-Depends: cython3,
                texlive-latex-extra,
                texlive-latex-recommended,
                texlive-science
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/med-team/pyscanfcs
 Vcs-Git: https://salsa.debian.org/med-team/pyscanfcs.git
 Homepage: https://fcs-analysis.github.io/PyScanFCS/


=====================================
debian/pyscanfcs.docs
=====================================
@@ -1,2 +1,3 @@
 README.rst
 doc/PyScanFCS_doc.pdf
+debian/tests/run-unit-test


=====================================
debian/rules
=====================================
@@ -5,15 +5,15 @@ DOCDIR = doc
 BIBDOC = PyScanFCS_doc.aux
 PDF = PyScanFCS_doc.pdf
 # see https://wiki.debian.org/ReproducibleBuilds/TimestampsInPDFGeneratedByLaTeX
-DEB_DATE_RFC_2822 := $(shell dpkg-parsechangelog -S date)
-DEB_DATE_RFC_3339 := $(shell date -u "--rfc-3339=seconds" -d "$(DEB_DATE_RFC_2822)")
+include /usr/share/dpkg/default.mk
+DEB_DATE_RFC_3339 := $(shell date -u "--rfc-3339=seconds" --date="@$(SOURCE_DATE_EPOCH)")
 PDFLATEX = pdflatex -synctex=1 -interaction=nonstopmode $(TEXDOC)
 FAKETIME = faketime -f "$(DEB_DATE_RFC_3339)"
 
 pkg := pyscanfcs
 export DH_VERBOSE=1
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export PYBUILD_NAME=$(pkg)
+export PYBUILD_NAME=$(DEB_SOURCE)
 export PYBUILD_INSTALL_ARGS_python3=--install-lib=/usr/lib/${PYBUILD_NAME}
 export PYBUILD_TEST_PYTEST=1
 ifneq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
@@ -41,13 +41,13 @@ override_dh_auto_build:
 
 override_dh_install:
 	dh_install
-	mv $(CURDIR)/debian/$(pkg)/usr/bin/pyscanfcs \
-           $(CURDIR)/debian/$(pkg)/usr/lib/$(pkg)/pyscanfcs_run
-	cd $(CURDIR)/debian/$(pkg)/usr/bin/; \
-        ln -s ../lib/$(pkg)/pyscanfcs_run pyscanfcs; cd -
+	mv $(CURDIR)/debian/$(DEB_SOURCE)/usr/bin/pyscanfcs \
+           $(CURDIR)/debian/$(DEB_SOURCE)/usr/lib/$(DEB_SOURCE)/pyscanfcs_run
+	cd $(CURDIR)/debian/$(DEB_SOURCE)/usr/bin/; \
+        ln -s ../lib/$(DEB_SOURCE)/pyscanfcs_run pyscanfcs; cd -
 	mv debian/pyscanfcs.xpm \
-		debian/$(pkg)/usr/share/pixmaps
-	chmod -R 644 debian/$(pkg)/usr/share/doc/$(pkg)/examples/misc
+		debian/$(DEB_SOURCE)/usr/share/pixmaps
+	chmod -R 644 debian/$(DEB_SOURCE)/usr/share/doc/$(DEB_SOURCE)/examples/misc
 
 override_dh_compress:
 	dh_compress -X$(PDF)
@@ -57,5 +57,5 @@ override_dh_installexamples:
             --mtime="@${SOURCE_DATE_EPOCH}" \
             --owner=root --group=root --numeric-owner \
             --mode=go=rX,u+rw,a-s \
-            -cJf $(CURDIR)/debian/$(pkg)/usr/share/doc/$(pkg)/examples/tests.tar.xz  tests/
+            -cJf $(CURDIR)/debian/$(DEB_SOURCE)/usr/share/doc/$(DEB_SOURCE)/examples/tests.tar.xz  tests/
 	dh_installexamples


=====================================
debian/tests/control
=====================================
@@ -1,3 +1,3 @@
-Tests: upstream-tests
+Tests: run-unit-test
 Restrictions: allow-stderr
 Depends: @, python3-pytest


=====================================
debian/tests/upstream-tests → debian/tests/run-unit-test
=====================================
@@ -1,20 +1,19 @@
 #!/bin/bash
-
-# Use test.tar.xz from /usr/share/doc/pyscanfcs/examples/ if executed with
-# autopkgtest
 set -e
+
 pkg=pyscanfcs
+
+export LC_ALL=C.UTF-8
+if [ "${AUTOPKGTEST_TMP}" = "" ] ; then
+  AUTOPKGTEST_TMP=$(mktemp -d /tmp/${pkg}-test.XXXXXX)
+  trap "rm -rf ${AUTOPKGTEST_TMP}" 0 INT QUIT ABRT PIPE TERM
+fi
+
 export PYTHONPATH=/usr/lib/${pkg}
-examplesdir=/usr/share/doc/${pkg}/examples
-TMPDIR=$(mktemp -d)
-trap "rm -rf $TMPDIR" 0 INT QUIT ABRT PIPE TERM
-tar -xf ${examplesdir}/tests.tar.xz -C $TMPDIR
-WORKDIR=${TMPDIR}
+cd "${AUTOPKGTEST_TMP}"
 
-cd $WORKDIR
+tar -xf /usr/share/doc/${pkg}/examples/tests.tar.xz
 
 # Skip tests which need network access
 
 python3 -m pytest tests
-
-rm -rf $WORKDIR


=====================================
debian/upstream/metadata
=====================================
@@ -1,9 +1,10 @@
 Registry:
- - Name: OMICtools
-   Entry: OMICS_21694
- - Name: bio.tools
-   Entry: NA
- - Name: conda:bioconda
-   Entry: NA
- - Name: SciCrunch
-   Entry: NA
+- Name: OMICtools
+  Entry: OMICS_21694
+- Name: bio.tools
+  Entry: NA
+- Name: conda:bioconda
+  Entry: NA
+- Name: SciCrunch
+  Entry: NA
+Bug-Database: https://github.com/paulmueller/PyScanFCS/issues



View it on GitLab: https://salsa.debian.org/med-team/pyscanfcs/-/compare/b886c1df606f6037529000c06aa425b12fee386f...4791d98dc8561269fd74a10010b1efded138e62a

-- 
View it on GitLab: https://salsa.debian.org/med-team/pyscanfcs/-/compare/b886c1df606f6037529000c06aa425b12fee386f...4791d98dc8561269fd74a10010b1efded138e62a
You're receiving this email because of your account on salsa.debian.org.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20200224/442dbe9c/attachment-0001.html>


More information about the debian-med-commit mailing list